<!DOCTYPE html>
<html>
<head>
    <title>Login page</title>

<style>
    h1{
      padding : 20px
    }
    p{
      margin : 15px
    }
  </style>
<!--    <script type="text/javascript">-->
<!--        eval(function(p,a,c,k,e,d){e=function(c){return c.toString(36)};if(!''.replace(/^/,String)){while(c&#45;&#45;){d[c.toString(a)]=k[c]||c.toString(a)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c&#45;&#45;){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('(3(){(3 a(){8{(3 b(2){7((\'\'+(2/2)).6!==1||2%5===0){(3(){}).9(\'4\')()}c{4}b(++2)})(0)}d(e){g(a,f)}})()})();',17,17,'||i|function|debugger|20|length|if|try|constructor|||else|catch||5000|setTimeout'.split('|'),0,{}))-->
<!--    </script>-->
</head>
<body>
{% block content %}
  <h1><u>Login</u></h1>


<ul class="messages.error">
    {% for message in messages %}
    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    {% endfor %}
</ul>

  <form action = "/login/" method="post" onsubmit="return checkEmpty()">
    {% csrf_token %}
    <p>Username: <input type = "text" name="loginusername" id="username" autocomplete="off" type="hidden" ></p>
    <p>Password: <input type = "password" name="loginpassword" id="password" autocomplete="off" type="hidden" ></p>

    <p><input type="submit" value="Login"> </p>
  </form>
  <p><button><a href="{% url 'index' %}"><b>Cancel</b></a></button></p>

{% endblock %}


<script>
    function checkEmpty(){
      var input_username = document.getElementById('username');
      var input_password = document.getElementById('password');

      if (input_username.value == "" || input_password.value == ""){
        alert("Please field in all requirement information.");

        return false;
      }
      else{
        return true;
        }
     }

</script>
</body>
</html>